Skip to content

Delete Tags from Prompt

Endpoint: DELETE /api/prompts/{name}/tags

Deletes tags from a prompt.

Path parameters

Parameter Description Type Required/ Optional
name The name of the prompt to remove tags from. string Required.

Request Body

The request body should be an array of tag objects.

Parameter Description Type Required/ Optional
key The tag key to be removed. string Required.
value The tag value to be removed. string Required.

Response

Returns 200 OK, indicating that tags have been deleted from the prompt.

Examples

Delete a tag from a prompt

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/prompts/population-prompt/tags' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "key": "team",
    "value": "engineering"
  }
]'

Response

Returns 200 OK, indicating that the tag has been deleted from the prompt.